#	Normal.pac
#
# Mapa del PacMan original, pero 3D


# Cruces 
# Cada linea es un cruce, con el siguiente formato (todo en la misma linea):
#
# c <X> <Y> <Z> <pastilla en cruce>
#   <indice del cruce al sur> <pastillas en pasillo al sur>
#   <indice del cruce al norte> <pastillas en pasillo al norte>
#   <indice del cruce al oeste> <pastillas en pasillo al oeste>
#   <indice del cruce al este> <pastillas en pasillo al este>
#
# El indice de un cruce es la posicion en la que fue ingresada. 
# 0 si no hay, o si se definira luego.
# NUNCA usar cruces de posicion posterior a la actual
# En los campos de pastillas poner 's' si se desea que hayan pastillas y 'n' si no

c -11 3 14 s 0 n 0 n 0 n 0 n
c 0 3 14 s 0 n 0 n 1 s 0 n
c 3 3 14 s 0 n 0 n 2 s 0 n
c 14 3 14 s 0 n 0 n 3 s 0 n
c -11 3 11 s 1 s 0 n 0 n 0 n
c -9 2 11 s 0 n 0 n 5 s 0 n
c -6 0 11 s 0 n 0 n 6 s 0 n
c -3 0 11 s 0 n 0 n 0 n 0 n
c 0 0 11 s 2 s 0 n 8 s 0 n
c 3 0 11 s 3 s 0 n 0 n 0 n

c 6 0 11 s 0 n 0 n 10 s 0 n
c 9 0 11 s 0 n 0 n 0 n 0 n
c 12 2 11 s 0 n 0 n 12 s 0 n
c 14 3 11 s 4 s 0 n 13 s 0 n
c -11 3 8 s 0 n 0 n 0 n 0 n
c -9 2 8 s 6 s 0 n 15 s 0 n
c -6 0 8 s 7 s 0 n 0 n 0 n
c -3 2 8 s 8 s 0 n 17 s 0 n
c 0 0 8 s 0 n 0 n 18 s 0 n
c 3 0 8 s 0 n 0 n 19 s 0 n

c 6 2 8 s 11 s 0 n 20 s 0 n
c 9 0 8 s 12 s 0 n 21 s 0 n
c 12 2 8 s 13 s 0 n 0 n 0 n
c 14 3 8 s 0 n 0 n 23 s 0 n
c -11 3 5 s 15 s 0 n 0 n 0 n
c -6 0 5 s 17 s 0 n 25 s 0 n
c -3 0 5 s 0 n 0 n 26 s 0 n
c 0 0 5 s 19 s 0 n 27 s 0 n
c 3 0 5 s 20 s 0 n 0 n 0 n
c 6 0 5 s 0 n 0 n 29 s 0 n

c 9 0 5 s 22 s 0 n 30 s 0 n
c 14 3 5 s 24 s 0 n 31 s 0 n
c -3 2 2 n 27 s 0 n 0 n 0 n
c 6 2 2 n 30 s 0 n 33 n 0 n
c -11 3 -1 s 0 n 0 n 0 n 0 n
c -6 0 -1 s 26 s 0 n 35 s 0 n
c -3 2 -1 n 33 n 0 n 36 s 0 n
c 6 2 -1 n 34 n 0 n 0 n 0 n
c 9 0 -1 s 31 s 0 n 38 s 0 n
c 14 3 -1 s 0 n 0 n 39 s 35 s

c -3 2 -3 n 37 n 0 n 0 n 0 n
c 0 0 -3 n 0 n 0 n 41 n 0 n
c 1 0 -3 n 0 n 0 n 42 n 0 n
c 3 0 -3 n 0 n 0 n 0 n 0 n
c 6 2 -3 n 38 n 0 n 44 n 0 n
c -11 3 -7 s 0 n 0 n 0 n 0 n
c -6 0 -7 s 36 s 0 n 46 s 0 n
c -3 -1 -7 s 0 n 0 n 0 n 0 n
c 0 0 -7 s 42 s 0 n 48 s 0 n
c 3 0 -7 s 44 s 0 n 0 n 0 n

c 6 -1 -7 s 0 n 0 n 50 s 0 n
c 9 0 -7 s 39 s 0 n 0 n 0 n
c 14 3 -7 s 0 n 0 n 52 s 0 n
c -11 3 -10 s 46 s 0 n 0 n 0 n
c -6 0 -10 s 47 s 0 n 54 s 0 n
c -3 0 -10 s 48 s 0 n 55 s 0 n
c 0 0 -10 s 0 n 0 n 56 s 0 n
c 3 0 -10 s 0 n 0 n 57 s 0 n
c 6 0 -10 s 51 s 0 n 58 s 0 n
c 9 0 -10 s 52 s 0 n 59 s 0 n

c 14 3 -10 s 53 s 0 n 60 s 0 n
c -11 3 -14 s 54 s 0 n 0 n 0 n
c -6 3 -14 s 55 s 0 n 62 s 0 n
c 0 3 -14 s 57 s 0 n 63 s 0 n
c 3 3 -14 s 58 s 0 n 0 n 0 n
c 9 3 -14 s 60 s 0 n 65 s 0 n
c 14 3 -14 s 61 s 0 n 66 s 0 n
c 2 0 -3 n 0 n 0 n 43 n 44 n
c 0 0 -2 n 0 n 0 n 0 n 0 n
c 1 0 -2 n 0 n 43 n 69 n 0 n

c 2 0 -2 n 0 n 68 n 70 n 0 n
c 3 0 -2 n 0 n 0 n 71 n 0 n
c 0 0 -1 n 0 n 69 n 0 n 0 n
c 1 0 -1 n 0 n 70 n 73 n 0 n
c 2 0 -1 n 0 n 71 n 74 n 0 n
c 3 0 -1 n 0 n 72 n 75 n 0 n

#super pasaje aereo (Habilitar si se desea)
#c 14 5 -3 n 40 n 0 n 0 n 0 n
#c -11 5 -3 n 35 n 0 n 0 n 77 n

# Comienzo del Pacman
#
# i <indice del cruce origen> <indice del cruce destino>
#
# El indice de un cruce es la posicion en la que fue ingresada. 
# NUNCA utilizar un cruce aun no ingresado
# En caso de repeticion se usara el ultimo ingresado.

i 20 19

# Comienzo de los fantasmas
#
# f <indice del cruce origen> <indice del cruce destino> <tipo de fantasma>
#
# El indice de un cruce es la posicion en la que fue ingresada. 
# NUNCA utilizar un cruce aun no ingresado
# Los tipos de fantasmas son:
#     1: Inky (rojo)      - Fantasma que intenta seguirte 
#     2: Blinky (celeste) - Fantasma que intenta acorralarte
#     3: Pinky (rosado)   - Fantasma que intenta acercarse a tu posicion 
#     4: Clyde (naranja)  - Fantasma que va por cualquier lado
#
# Las posiciones de inicio son consideradas guarida de fantasmas. Es importante separar estas de
# los lugares donde puede pasar el Pacman mediante puertas

f 73 69 1
f 74 70 2
f 75 71 3
f 76 72 4

# Puertas
#
# g <indice del cruce origen> <indice del cruce destino>
#
# El indice de un cruce es la posicion en la que fue ingresada. 
# NUNCA utilizar un cruce aun no ingresado.
# Utilizar cruces adyacentes en alguna direccion (aunque no esten alineadas)
#
# Las puertas (paredes rojas) impiden el acceso al Pacman a utilizar ese pasillo. Solo los fantasmas pueden atravesarlo
# tras un cierto tiempo, pero solo una vez. Si son comidos, pueden atravesarlo y al hacerlo vuelven a la vida. Luego
# pueden volver a atravesarlo una sola vez, hasta ser comidos de nuevo.

g 43 70
g 68 71

# Pastillas de poder
#
# P <indice del cruce>
#
# El indice de un cruce es la posicion en la que fue ingresada. 
# NUNCA utilizar un cruce aun no ingresado ni cruces sin pastilla.
#
# Las pastillas de poder permiten a Pacman comer a los fantasmas durante un tiempo. Si se los come y vuelven a la vida
# hay que comer otra pastilla de poder.

P 5
P 14
P 54
P 61
